{% block button %}
    {% if shift.state == constant('REQUIRES_CANCELLATION', shift) or shift.state == constant('UNCONFIRMED', shift) %}

        <a href="javascript: void(0)"
           class="basic_button dynamic_requester shift_button_supervisor_confirm"
           {% if shift.state == constant('UNCONFIRMED', shift) %}
               data-req-type="supervisor_confirm"
           {% elseif shift.state == constant('REQUIRES_CANCELLATION', shift) %}
               data-req-type="supervisor_cancel"
           {% endif %}
           data-supervisor_confirm="{{ path('supervisor_confirm', {'id': shift.id, csrf_token: '@CSRF' }) }}"
           data-supervisor_cancel="{{ path('supervisor_cancel', {'id': shift.id, csrf_token: '@CSRF' }) }}"
           data-other-button="shift_button_supervisor_reject_{{ shift.id }}"
           id="shift_button_supervisor_confirm_{{ shift.id }}"
        >...</a>
        <a href="javascript: void(0)"
           id="shift_button_supervisor_reject_{{ shift.id }}"
           data-other-button="shift_button_supervisor_confirm_{{ shift.id }}"
           class="basic_button dynamic_requester shift_button_supervisor_reject"
                {% if shift.state == constant('UNCONFIRMED', shift) %}
                    data-req-type="supervisor_reject"
                {% elseif shift.state == constant('REQUIRES_CANCELLATION',shift) %}
                    data-req-type="supervisor_confirm"
                    data-force-value="Keep"
                {% endif %}
           data-supervisor_reject="{{ path('supervisor_reject', {'id': shift.id, csrf_token: '@CSRF' }) }}"
           data-supervisor_confirm="{{ path('supervisor_confirm', {'id': shift.id, csrf_token: '@CSRF' }) }}"
        >...</a>
    {% else %}
        <a href="javascript: void(0)"
           class="dynamic_requester shift_button"
                {% if shift.state == constant('UNCONFIRMED', shift) %}
                    data-req-type="supervisor_confirm"
                    id="shift_button_confirm_{{ shift.id }}"
                    data-other-button="shift_button_reject_{{ shift.id }}"
                {% elseif shift.state == constant('CONFIRMED', shift) %}
                    data-req-type="supervisor_cancel"
                {% elseif shift.state == constant('REJECTED', shift) %}
                    data-req-type="supervisor_rejected"
                {% elseif shift.state == constant('REQUIRES_CANCELLATION', shift) %}
                    data-req-type="supervisor_confirm_cancel_request"
                    id="shift_button_supervisor_confirm_cancel_request_{{ shift.id }}"
                    data-other-button="shift_button_reject_cancel_request_{{ shift.id }}"
                {% elseif shift.state == constant('CANCELLED', shift) %}
                    data-req-type="employee_cancelled"
                {% elseif shift.state == constant('FINISHED', shift) %}
                    data-req-type="supervisor_mark_as_missed"
                {% elseif shift.state == constant('MISSED', shift) %}
                    data-req-type="supervisor_mark_as_finished"
                {% endif %}

           data-supervisor_confirm="{{ path('supervisor_confirm', {'id': shift.id, csrf_token: '@CSRF'}) }}"
           data-supervisor_cancel="{{ path('supervisor_cancel', {'id': shift.id, csrf_token: '@CSRF'}) }}"
           data-supervisor_mark_as_missed="{{ path('supervisor_mark_as_missed', {'id': shift.id, csrf_token: '@CSRF'}) }}"
           data-supervisor_mark_as_finished="{{ path('supervisor_mark_as_finished', {'id': shift.id, csrf_token: '@CSRF'}) }}"
        >...</a>
    {% endif %}
{% endblock %}